<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/SymbolLookup/Scopes.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Scopes.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/SymbolLookup/Scopes.hh</h1><div><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Scope.hh.html" >Synopsis/SymbolLookup/Scope.hh</a></li>
<li>include <a href="Scopes.hh.html" >Synopsis/SymbolLookup/Scopes.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html" >Class</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >FunctionScope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/LocalScope.html" >LocalScope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html" >Namespace</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >PrototypeScope</a>
<div class="doc"></div></div>

</div>
<div><h3>Classes in Synopsis::SymbolLookup::PrototypeScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#FunctionScope" >FunctionScope</a>
<div class="doc"></div></div>

</div>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >ScopeVisitor</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >TemplateParameterScope</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::Class</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_bases" >my_bases</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_outer" >my_outer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_parameters" >my_parameters</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_spec" >my_spec</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::FunctionScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_class" >my_class</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_decl" >my_decl</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_outer" >my_outer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_parameters" >my_parameters</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_using" >my_using</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::LocalScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_node" >my_node</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_outer" >my_outer</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::Namespace</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#my_outer" >my_outer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#my_spec" >my_spec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#my_using" >my_using</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::PrototypeScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_decl" >my_decl</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_outer" >my_outer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_parameters" >my_parameters</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::TemplateParameterScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#my_node" >my_node</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#my_outer" >my_outer</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::Class</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#Class_lconst.PTree_mClassSpec_S_cconst.Scope_S_cconst.Bases_A_cconst.TemplateParameterScope_S_r" >Class&#40;const&#160;PTree::ClassSpec*&#44;const&#160;Scope*&#44;const&#160;Bases&amp;&#44;const&#160;TemplateParameterScope*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::FunctionScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#FunctionScope_lconst.PTree_mDeclaration_S_cPrototypeScope_S_cconst.Scope_S_r" >FunctionScope&#40;const&#160;PTree::Declaration*&#44;PrototypeScope*&#44;const&#160;Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#use_lconst.PTree_mUsingDirective_S_r" >use&#40;const&#160;PTree::UsingDirective*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::Namespace</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#Namespace_lconst.PTree_mNamespaceSpec_S_cconst.Namespace_S_r" >Namespace&#40;const&#160;PTree::NamespaceSpec*&#44;const&#160;Namespace*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#find_namespace_lconst.PTree_mNamespaceSpec_S_rconst" >find_namespace&#40;const&#160;PTree::NamespaceSpec*&#41;const</a>
<div class="doc"><p>Find a nested namespace.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst" >unqualified_lookup&#40;const&#160;PTree::Encoding&amp;&#44;Scope::LookupContext&#44;Using&amp;&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::PrototypeScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#PrototypeScope_lconst.PTree_mNode_S_cconst.Scope_S_cconst.TemplateParameterScope_S_r" >PrototypeScope&#40;const&#160;PTree::Node*&#44;const&#160;Scope*&#44;const&#160;TemplateParameterScope*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::ScopeVisitor</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lClass_S_r" >visit&#40;Class*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lFunctionScope_S_r" >visit&#40;FunctionScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lLocalScope_S_r" >visit&#40;LocalScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lNamespace_S_r" >visit&#40;Namespace*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lPrototypeScope_S_r" >visit&#40;PrototypeScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lTemplateParameterScope_S_r" >visit&#40;TemplateParameterScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#_tScopeVisitor_l_r" >~ScopeVisitor&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::TemplateParameterScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#TemplateParameterScope_lconst.PTree_mList_S_cconst.Scope_S_r" >TemplateParameterScope&#40;const&#160;PTree::List*&#44;const&#160;Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >unqualified_lookup&#40;const&#160;PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolLookup::Class</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#Bases" >Bases</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolLookup::FunctionScope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#Using" >Using</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolLookup::Namespace</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#Using" >Using</a>
<div class="doc"></div></div>
</div>

</body>
</html>
